{% load staticfiles %}
{% load flatpages %}
{% get_flatpages as flatpages %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{% block title %}{% endblock %} | Timescales.org</title>
    <link href="{% static 'css/bootstrap.css' %}" rel="stylesheet">
    <link href="{% static 'css/style.css' %}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lato:100,100i,300,300i,400,400i,700,700i,900,900i" rel="stylesheet">
  </head>

  <body>
    <header>
      {% block header %}
      {% endblock %}
      <nav class="navbar navbar-default navbar-fixed-top">
        <div class="container">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand em-text" href="/">Timescales.org</a>
          </div> <!-- /.navbar-header -->
          <div id="navbar" class="collapse navbar-collapse">  
            <ul class="nav navbar-nav">
            <!-- TODO: Make "Home" first and make CURRENT PAGE in class="active" --> 
              {% for page in flatpages %}
                {% if page.url != '/toolboxes/' %}
                {% if page.url == request.get_full_path %}
                  <li class="active"><a href="{{ page.url }}">{{ page.title }}</a></li>
                {% else %} 
                  <li><a href="{{ page.url }}">{{ page.title }}</a></li>
                {% endif %}
                {% endif %}
              {% endfor %}
              <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                   aria-haspopup="true" aria-expanded="false">Resources <span class="caret"></span></a>
                <ul class="dropdown-menu">   
                  <li><a href="/tutorials">Tutorials</a></li>
                  <li><a href="/publications">Publications</a></li>
                  <li><a href="/toolboxes">Toolboxes</a></li>
                  <li><a href="https://en.wikipedia.org/wiki/Time-scale_calculus" target="_blank">Wikipedia</a></li>
                </ul>
              </li>
            </ul>
          </div> <!-- /.nav-collapse -->
        </div><!-- /container -->
      </nav>    
    </header>

    <main>
      <section class="title-bar">
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <h1>{% block title-bar %}{% endblock %}</h1>  
            </div>
          </div> <!-- /row -->
        </div> <!-- /container -->
      </section>
      {% block main %}
        {% block content %}
        {% endblock %}
      {% endblock %}
    </main>

    <footer class="footer navbar-fixed-bottom">
      <div class="container">
        <div class="row">
          <div class="col-md-6">
            {% block footer %}
            {% endblock %}          
          </div> <!-- /right-side footer -->
          <div class="col-md-6">
            <p>Copyright &copy; {% now "Y" %}, All Rights Reserved</p>
          </div> <!-- /left-side footer -->
        </div>  <!-- /row -->
      </div> <!-- /container -->
    </footer>        
          
    <!-- MathJax, jQuery, and Bootstrap JavaScript at bottom so page loads faster -->
    <script
      type="text/javascript"
      src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML">
    </script>
    <script 
      type="text/javascript"         
      src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js">
    </script>
    <script
      type="text/javascript" 
      src="{% static 'js/bootstrap.js' %}">
    </script>
  </body>
</html>
